Subject: Re: [PATCH (take 2)] netdev: lockdep classes in register_netdevice Re: [patch 04/13] ppp_generic: fix lockdep warning

From: Jarek Poplawski <[email-masked]>
Date: Wed, 16 May 2007 09:18:55 +0200

On Tue, May 15, 2007 at 11:17:51PM -0700, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Wed, 16 May 2007 08:17:32 +0200
> 
> > BTW - I think some patch on vlan cannot do any harm (at
> > least like this previous of mine - with only ppp
> > considered), and maybe this all could be forgotten.
> 
> Let's wait to see if any new messages show up.
> 
> I think how we've seperated PPP from ethernet locking
> has annotated things sufficiently for lockdep to see
> what's going on even in that VLAN case.
> 

I'm 99,9% sure lockdep's warning like this will be back:

#0 vlan_netdev_xmit_lock_key
	|
	V
#1 ppp->wlock
	|
	V
(pppoe)

#0 ppp->wlock
	|
	V
#1 pch->downl
	|
	V
#2 vlan_netdev_xmit_lock_key
	|
	V
(eth)

This 0,1% is for Yuriy - when he changes config or turns off
lockdep, like others.

But I have no problem with waiting too.

Jarek P.